<div *ngFor="let item of list">
    <div>Creator: {{ item.creator.name }}</div>
    <div>Participant: {{ item.participant?.name }}</div>
    <div>Size: {{ item.size }}</div>

    <button nz-button nzType="primary" nzShape="round" nzSize="small" (click)="join(item)">
        Join
    </button>
    <button nz-button nzType="primary" nzShape="round" nzSize="small" [routerLink]="['/mini-game/memo', item.id]">
        View
    </button>
    <nz-divider></nz-divider>
</div>

<button nz-button nzType="primary" nzShape="round" nzSize="small" (click)="create()">
    Create
</button>